AppSearchRequest¶
- class oci.identity_domains.models.AppSearchRequest(**kwargs)¶
Bases:
objectClients MAY execute queries without passing parameters on the URL by using the HTTP POST verb combined with the .search path extension. The inclusion of .search on the end of a valid SCIM endpoint SHALL be used to indicate the HTTP POST verb is intended to be a query operation. To create a new query result set, a SCIM client sends an HTTP POST request to the desired SCIM resource endpoint (ending in .search). The body of the POST request MAY include any of the parameters.
Attributes:
A constant which can be used with the attribute_sets property of a AppSearchRequest.
A constant which can be used with the attribute_sets property of a AppSearchRequest.
A constant which can be used with the attribute_sets property of a AppSearchRequest.
A constant which can be used with the attribute_sets property of a AppSearchRequest.
A constant which can be used with the attribute_sets property of a AppSearchRequest.
A constant which can be used with the sort_order property of a AppSearchRequest.
A constant which can be used with the sort_order property of a AppSearchRequest.
Gets the attribute_sets of this AppSearchRequest.
Gets the attributes of this AppSearchRequest.
Gets the count of this AppSearchRequest.
Gets the filter of this AppSearchRequest.
[Required] Gets the schemas of this AppSearchRequest.
Gets the sort_by of this AppSearchRequest.
Gets the sort_order of this AppSearchRequest.
Gets the start_index of this AppSearchRequest.
Methods:
__init__(**kwargs)Initializes a new AppSearchRequest object with values from keyword arguments.
- ATTRIBUTE_SETS_ALL = 'all'¶
A constant which can be used with the attribute_sets property of a AppSearchRequest. This constant has a value of “all”
- ATTRIBUTE_SETS_ALWAYS = 'always'¶
A constant which can be used with the attribute_sets property of a AppSearchRequest. This constant has a value of “always”
- ATTRIBUTE_SETS_DEFAULT = 'default'¶
A constant which can be used with the attribute_sets property of a AppSearchRequest. This constant has a value of “default”
- ATTRIBUTE_SETS_NEVER = 'never'¶
A constant which can be used with the attribute_sets property of a AppSearchRequest. This constant has a value of “never”
- ATTRIBUTE_SETS_REQUEST = 'request'¶
A constant which can be used with the attribute_sets property of a AppSearchRequest. This constant has a value of “request”
- SORT_ORDER_ASCENDING = 'ASCENDING'¶
A constant which can be used with the sort_order property of a AppSearchRequest. This constant has a value of “ASCENDING”
- SORT_ORDER_DESCENDING = 'DESCENDING'¶
A constant which can be used with the sort_order property of a AppSearchRequest. This constant has a value of “DESCENDING”
- __init__(**kwargs)¶
Initializes a new AppSearchRequest object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
- Parameters
schemas (list[str]) – The value to assign to the schemas property of this AppSearchRequest.
attributes (list[str]) – The value to assign to the attributes property of this AppSearchRequest.
attribute_sets (list[str]) – The value to assign to the attribute_sets property of this AppSearchRequest. Allowed values for items in this list are: “all”, “always”, “never”, “request”, “default”
filter (str) – The value to assign to the filter property of this AppSearchRequest.
sort_by (str) – The value to assign to the sort_by property of this AppSearchRequest.
sort_order (str) – The value to assign to the sort_order property of this AppSearchRequest. Allowed values for this property are: “ASCENDING”, “DESCENDING”
start_index (int) – The value to assign to the start_index property of this AppSearchRequest.
count (int) – The value to assign to the count property of this AppSearchRequest.
- property attribute_sets¶
Gets the attribute_sets of this AppSearchRequest. A multi-valued list of strings indicating the return type of attribute definition. The specified set of attributes can be fetched by the return type of the attribute. One or more values can be given together to fetch more than one group of attributes. If “attributes” query parameter is also available, union of the two is fetched. Valid values : all, always, never, request, default. Values are case-insensitive. OPTIONAL.
Allowed values for items in this list are: “all”, “always”, “never”, “request”, “default”
- Returns
The attribute_sets of this AppSearchRequest.
- Return type
list[str]
- property attributes¶
Gets the attributes of this AppSearchRequest. A multi-valued list of strings indicating the names of resource attributes to return in the response overriding the set of attributes that would be returned by default. Attribute names MUST be in standard attribute notation (Section 3.10) form. See (additional retrieval query parameters). OPTIONAL.
- Returns
The attributes of this AppSearchRequest.
- Return type
list[str]
- property count¶
Gets the count of this AppSearchRequest. An integer that indicates the desired maximum number of query results per page. 1000 is the largest value that you can use. See the Pagination section of the System for Cross-Domain Identity Management Protocol specification for more information. (Section 3.4.2.4). OPTIONAL.
- Returns
The count of this AppSearchRequest.
- Return type
int
- property filter¶
Gets the filter of this AppSearchRequest. The filter string that is used to request a subset of resources. The filter string MUST be a valid filter expression. See Section 3.4.2.2. OPTIONAL.
- Returns
The filter of this AppSearchRequest.
- Return type
str
- property schemas¶
[Required] Gets the schemas of this AppSearchRequest. The schemas attribute is an array of Strings which allows introspection of the supported schema version for a SCIM representation as well any schema extensions supported by that representation. Each String value must be a unique URI. Query requests MUST be identified using the following URI: “urn:ietf:params:scim:api:messages:2.0:SearchRequest” REQUIRED.
- Returns
The schemas of this AppSearchRequest.
- Return type
list[str]
- property sort_by¶
Gets the sort_by of this AppSearchRequest. A string that indicates the attribute whose value SHALL be used to order the returned responses. The sortBy attribute MUST be in standard attribute notation (Section 3.10) form. See Sorting section. OPTIONAL.
- Returns
The sort_by of this AppSearchRequest.
- Return type
str
- property sort_order¶
Gets the sort_order of this AppSearchRequest. A string that indicates the order in which the sortBy parameter is applied. Allowed values are “ascending” and “descending”. See (Sorting Section). OPTIONAL.
Allowed values for this property are: “ASCENDING”, “DESCENDING”
- Returns
The sort_order of this AppSearchRequest.
- Return type
str
- property start_index¶
Gets the start_index of this AppSearchRequest. An integer that indicates the 1-based index of the first query result. See Pagination Section. OPTIONAL.
- Returns
The start_index of this AppSearchRequest.
- Return type
int